package com.zjrs.zwnw.rlzysc.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

@TableName(value = "v_rs_rlzy_zwxx")
public class VRsRlzyZwxxPO {
    @TableId(value = "rs_rlzy_zwxx_lsh", type = IdType.ASSIGN_UUID)
    @TableField(value = "rs_rlzy_zwxx_lsh")
    private String rsrlzyzwxxlsh;//职位信息流水号

    @TableField(value = "rs_rlzy_qyxx_lsh")
    private String rsrlzyqyxxlsh;//企业信息流水号

    private String zpgwbh;//招聘岗位编号
    private String zwmc;//职位名称
    private String xz;//薪资
    private String zprs;//招聘人数
    private String lxdz;//联系地址
    private String lxdh;//联系电话

    @TableField(value = "ts_yxbz")
    private String tsyxbz;//有效状态

    private String dwdz;//单位地址
    private String lxr;//联系人
    private String zpfs;//招聘方式
    private String sfydzpry;//是否异地招聘人员
    private String zpgz;//招聘工种
    private String gzxz;//工作性质
    private String yx;//月薪
    private String gzms;//工作描述
    private String whcd;//文化程度
    private String gzjy;//工作经验

    @TableField(value = "rs_nan")
    private String rsnan;//人数(男)

    @TableField(value = "rs_nv")
    private String rsnv;//人数(女)

    private String nl;//年龄
    private String sl;//视力
    private String hkyq;//户口要求

    @TableField(value = "sg_nan")
    private String sgnan;//身高(男)

    @TableField(value = "sg_nv")
    private String sgnv;//身高(女)

    private String syq;//试用期(月)
    private String syqgz;//试用期工资
    private String ygxs;//用工形式
    private String gzhj;//工作环境
    private String zsdx;//招收对象
    private String zph;//招聘会
    private String dzyx;//电子邮箱
    private String shjg;//审核结果
    private String shyj;//审核意见
    private String zwxxshr;//审核人
    private String shsj;//审核时间
    private String zwzt;//职位状态
    private String fbzt; // 发布状态
    @TableField(value = "ts_cjr")
    private String tscjr;//创建人

    @TableField(value = "ts_cjsj")
    private String tscjsj;//创建时间

    @TableField(value = "ts_xgr")
    private String tsxgr;//修改人

    @TableField(value = "ts_xgsj")
    private String tsxgsj;//修改时间
    private String fbsj;//发布时间

    public String getFbsj() {
        return fbsj;
    }

    public void setFbsj(String fbsj) {
        this.fbsj = fbsj;
    }
    //    public String getZpdq() {
//        return zpdq;
//    }
//
//    public void setZpdq(String zpdq) {
//        this.zpdq = zpdq;
//    }
//
//    private String zpdq;//招聘地区

    public String getZwzt() {
        return zwzt;
    }

    public void setZwzt(String zwzt) {
        this.zwzt = zwzt;
    }

    public String getRsrlzyzwxxlsh() {
        return rsrlzyzwxxlsh;
    }

    public void setRsrlzyzwxxlsh(String rsrlzyzwxxlsh) {
        this.rsrlzyzwxxlsh = rsrlzyzwxxlsh;
    }

    public String getRsrlzyqyxxlsh() {
        return rsrlzyqyxxlsh;
    }

    public void setRsrlzyqyxxlsh(String rsrlzyqyxxlsh) {
        this.rsrlzyqyxxlsh = rsrlzyqyxxlsh;
    }

    public String getZpgwbh() {
        return zpgwbh;
    }

    public void setZpgwbh(String zpgwbh) {
        this.zpgwbh = zpgwbh;
    }

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public String getXz() {
        return xz;
    }

    public void setXz(String xz) {
        this.xz = xz;
    }

    public String getZprs() {
        return zprs;
    }

    public void setZprs(String zprs) {
        this.zprs = zprs;
    }

    public String getLxdz() {
        return lxdz;
    }

    public void setLxdz(String lxdz) {
        this.lxdz = lxdz;
    }

    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

    public String getTsyxbz() {
        return tsyxbz;
    }

    public void setTsyxbz(String tsyxbz) {
        this.tsyxbz = tsyxbz;
    }

    public String getDwdz() {
        return dwdz;
    }

    public void setDwdz(String dwdz) {
        this.dwdz = dwdz;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getZpfs() {
        return zpfs;
    }

    public void setZpfs(String zpfs) {
        this.zpfs = zpfs;
    }

    public String getSfydzpry() {
        return sfydzpry;
    }

    public void setSfydzpry(String sfydzpry) {
        this.sfydzpry = sfydzpry;
    }

    public String getZpgz() {
        return zpgz;
    }

    public void setZpgz(String zpgz) {
        this.zpgz = zpgz;
    }

    public String getGzxz() {
        return gzxz;
    }

    public void setGzxz(String gzxz) {
        this.gzxz = gzxz;
    }

    public String getYx() {
        return yx;
    }

    public void setYx(String yx) {
        this.yx = yx;
    }

    public String getGzms() {
        return gzms;
    }

    public void setGzms(String gzms) {
        this.gzms = gzms;
    }

    public String getWhcd() {
        return whcd;
    }

    public void setWhcd(String whcd) {
        this.whcd = whcd;
    }

    public String getGzjy() {
        return gzjy;
    }

    public void setGzjy(String gzjy) {
        this.gzjy = gzjy;
    }

    public String getRsnan() {
        return rsnan;
    }

    public void setRsnan(String rsnan) {
        this.rsnan = rsnan;
    }

    public String getRsnv() {
        return rsnv;
    }

    public void setRsnv(String rsnv) {
        this.rsnv = rsnv;
    }

    public String getNl() {
        return nl;
    }

    public void setNl(String nl) {
        this.nl = nl;
    }

    public String getSl() {
        return sl;
    }

    public void setSl(String sl) {
        this.sl = sl;
    }

    public String getHkyq() {
        return hkyq;
    }

    public void setHkyq(String hkyq) {
        this.hkyq = hkyq;
    }

    public String getSgnan() {
        return sgnan;
    }

    public void setSgnan(String sgnan) {
        this.sgnan = sgnan;
    }

    public String getSgnv() {
        return sgnv;
    }

    public void setSgnv(String sgnv) {
        this.sgnv = sgnv;
    }

    public String getSyq() {
        return syq;
    }

    public void setSyq(String syq) {
        this.syq = syq;
    }

    public String getSyqgz() {
        return syqgz;
    }

    public void setSyqgz(String syqgz) {
        this.syqgz = syqgz;
    }

    public String getYgxs() {
        return ygxs;
    }

    public void setYgxs(String ygxs) {
        this.ygxs = ygxs;
    }

    public String getGzhj() {
        return gzhj;
    }

    public void setGzhj(String gzhj) {
        this.gzhj = gzhj;
    }

    public String getZsdx() {
        return zsdx;
    }

    public void setZsdx(String zsdx) {
        this.zsdx = zsdx;
    }

    public String getZph() {
        return zph;
    }

    public void setZph(String zph) {
        this.zph = zph;
    }

    public String getDzyx() {
        return dzyx;
    }

    public void setDzyx(String dzyx) {
        this.dzyx = dzyx;
    }

    public String getShjg() {
        return shjg;
    }

    public void setShjg(String shjg) {
        this.shjg = shjg;
    }

    public String getShyj() {
        return shyj;
    }

    public void setShyj(String shyj) {
        this.shyj = shyj;
    }

    public String getZwxxshr() {
        return zwxxshr;
    }

    public void setZwxxshr(String zwxxshr) {
        this.zwxxshr = zwxxshr;
    }

    public String getShsj() {
        return shsj;
    }

    public void setShsj(String shsj) {
        this.shsj = shsj;
    }

    public String getTscjr() {
        return tscjr;
    }

    public void setTscjr(String tscjr) {
        this.tscjr = tscjr;
    }

    public String getTscjsj() {
        return tscjsj;
    }

    public void setTscjsj(String tscjsj) {
        this.tscjsj = tscjsj;
    }

    public String getTsxgr() {
        return tsxgr;
    }

    public void setTsxgr(String tsxgr) {
        this.tsxgr = tsxgr;
    }

    public String getTsxgsj() {
        return tsxgsj;
    }

    public void setTsxgsj(String tsxgsj) {
        this.tsxgsj = tsxgsj;
    }

    public String getFbzt() {
        return fbzt;
    }

    public void setFbzt(String fbzt) {
        this.fbzt = fbzt;
    }
}
